#include "xgfxstaticmodeldrawinst.h"

XGfxStaticModelDrawInst::XGfxStaticModelDrawInst()
    : XAsset()
    , mCullDist(false)
    , mPlacement()
    , mModel()
    , mReflectionProbeIndex(0)
    , mPrimaryLightIndex(0)
    , mLightingHandle(0)
    , mFlags(0)
{
    SetName("GFX Static Model Draw Instruction");
}

XGfxStaticModelDrawInst::~XGfxStaticModelDrawInst()
{
    
}

void XGfxStaticModelDrawInst::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxStaticModelDrawInst::ParseData
}

void XGfxStaticModelDrawInst::Clear()
{
    
}
